package cn.com.ty.zuul.listener;

import cn.com.ty.zuul.common.Constants;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import javax.servlet.http.HttpSession;
import javax.servlet.http.HttpSessionEvent;
import javax.servlet.http.HttpSessionListener;

/**
 * @author huangyuan
 * @date 2020/4/21
 * @description 用户关闭浏览器-监听器
 */
@Component
public class UserCloseBrowser implements HttpSessionListener {
    //private final RedisOperationsSessionRepository sessionRepository;
    @Resource
    private RedisTemplate redisTemplate;

    @Override
    public void sessionDestroyed(HttpSessionEvent httpSessionEvent) {
        HttpSession session = httpSessionEvent.getSession();
        String token = (String) session.getAttribute(Constants.CURRENT_USER_TOKEN);
        String mobileAndType = (String) redisTemplate.opsForValue().get(token);
        //删除用户token
        redisTemplate.delete(token);
        if (mobileAndType != null) {
            //删除用户信息
            redisTemplate.delete(mobileAndType);
        }
        //删除全局session
        //sessionRepository.deleteById(session.getId());
    }
}
